Subject: Re: Reason for cygwin GCC 2.97 non-bootstrap found
From: Richard Henderson <[email-masked]>
To: Zack Weinberg <[email-masked]>
Cc: Kelley Cook <[email-masked]>, Cygwin mailing list <[email-masked]>, GCC Bugs <[email-masked]>, GCC Patches <[email-masked]>
Date: Mon, 20 Nov 2000 19:44:46 -0800

On Mon, Nov 20, 2000 at 07:34:49PM -0800, Zack Weinberg wrote:
> In fact I plan to do this after I figure out just where the labor
> split between libiberty and ggc-page.c should be.

IMO there's no pressing reason to do _any_ of it in libiberty,
unless we were to move the entire garbage collector there.  If
we can make the collector faster by incorporating knowledge about
how the allocators work, then that is a good thing.

> > Moreover, I think the ggc-page mmap optimizations are useful enough
> > that I do not want to defer everything to an xvalloc or the like.
> 
> They should come back as a side effect of doing the N*pagesize+C thing
> you suggest.

Uh, including the one concerning large munmap ranges?  I certainly
wouldn't have thought that appropriate for a generic xvfree...

r~

--
Want to unsubscribe from this list?
Send a message to [email-masked]